<!DOCTYPE html>
<html lang="pt-BR">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Somando Números</title>
</head>
<body>
    <h1>Somando valores</h1>
    <input type="number" name="txtn1" id="txtn1">
    +
    <input type="number" name="txtn2" id="txtn2">
    <input type="button" value="Somar" onclick="somar()">
    <br>

    <div name="txtresultado" id="txtresultado" cols="30" rows="10"></div>
    
    <script>
        function somar(){
            var tx1 = window.document.getElementById("txtn1")
            var tx2 = window.document.getElementById("txtn2")
            var n1 = Number(tx1.value)
            var n2 = Number(tx2.value)
            
           var tx3 = window.document.getElementById("tx3")
           tx3.innerText= Number(window.document.getElementById("txtn1").value) +   Number(window.document.getElementById("txtn2").value) 

            var rsoma = n1+n2
            var resultado = window.document.getElementById("txtresultado")
            resultado.innerHTML= "O resultado da soma entre "+n1+" e "+n2+" é igual "+rsoma
        }

    </script>

    <div id="tx3"></div>
</body>
</html>